Commit 4107bd22 authored by Rahix's avatar Rahix
Browse files

hack(ble): Temporarily silence a warning



With the increased warning-level, GCC warns about three unused fields in
`bleSmpCfg`:

    - maxAttemptTimeout: Maximum 'Repeated attempts' timeout in msec
    - attemptDecTimeout: Time msec before attemptExp decreases
    - attemptExp: Exponent to raise attemptTimeout on maxAttempts

These should probably be set to sensible values but to make !360
mergeable, explicitly set them to zero for now.

Signed-off-by: Rahix's avatarRahix <rahix@rahix.de>
parent b0ba0a42
......@@ -122,6 +122,11 @@ static const smpCfg_t bleSmpCfg =
16, /*! Maximum encryption key length */
3, /*! Attempts to trigger 'repeated attempts' timeout */
DM_AUTH_MITM_FLAG, /*! Device authentication requirements */
/* TODO: The following three parameters should probably get proper values */
0, /*! Maximum 'Repeated attempts' timeout in msec */
0, /*! Time msec before attemptExp decreases */
0, /*! Exponent to raise attemptTimeout on maxAttempts */
};
/* Configuration structure */
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment